<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package PANDA
 * @since PANDA 1.0
 */

							do_action( 'panda_action_page_content_end_text' );
							
							// Widgets area below the content
							panda_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'panda_action_page_content_end' );
							?>
						</div>
						<?php

						// Show main sidebar
						get_sidebar();
						?>
					</div>
					<?php

					do_action( 'panda_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$panda_body_style = panda_get_theme_option( 'body_style' );
					$panda_widgets_name = panda_get_theme_option( 'widgets_below_page' );
					$panda_show_widgets = ! panda_is_off( $panda_widgets_name ) && is_active_sidebar( $panda_widgets_name );
					$panda_show_related = panda_is_single() && panda_get_theme_option( 'related_position' ) == 'below_page';
					if ( $panda_show_widgets || $panda_show_related ) {
						if ( 'fullscreen' != $panda_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $panda_show_related ) {
							do_action( 'panda_action_related_posts' );
						}

						// Widgets area below page content
						if ( $panda_show_widgets ) {
							panda_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $panda_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'panda_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'panda_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! panda_is_singular( 'post' ) && ! panda_is_singular( 'attachment' ) ) || ! in_array ( panda_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="panda_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'panda_action_before_footer' );

				// Footer
				$panda_footer_type = panda_get_theme_option( 'footer_type' );
				if ( 'custom' == $panda_footer_type && ! panda_is_layouts_available() ) {
					$panda_footer_type = 'default';
				}
				get_template_part( apply_filters( 'panda_filter_get_template_part', "templates/footer-" . sanitize_file_name( $panda_footer_type ) ) );

				do_action( 'panda_action_after_footer' );

			}
			?>

			<?php do_action( 'panda_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'panda_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'panda_action_after_body' ); ?>

	<?php wp_footer(); ?>

</body>
</html>