<div class="front_page_section front_page_section_about<?php
	$panda_scheme = panda_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $panda_scheme ) && ! panda_is_inherit( $panda_scheme ) ) {
		echo ' scheme_' . esc_attr( $panda_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( panda_get_theme_option( 'front_page_about_paddings' ) );
	if ( panda_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$panda_css      = '';
		$panda_bg_image = panda_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $panda_bg_image ) ) {
			$panda_css .= 'background-image: url(' . esc_url( panda_get_attachment_url( $panda_bg_image ) ) . ');';
		}
		if ( ! empty( $panda_css ) ) {
			echo ' style="' . esc_attr( $panda_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$panda_anchor_icon = panda_get_theme_option( 'front_page_about_anchor_icon' );
	$panda_anchor_text = panda_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $panda_anchor_icon ) || ! empty( $panda_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $panda_anchor_icon ) ? ' icon="' . esc_attr( $panda_anchor_icon ) . '"' : '' )
									. ( ! empty( $panda_anchor_text ) ? ' title="' . esc_attr( $panda_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( panda_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' panda-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$panda_css           = '';
			$panda_bg_mask       = panda_get_theme_option( 'front_page_about_bg_mask' );
			$panda_bg_color_type = panda_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $panda_bg_color_type ) {
				$panda_bg_color = panda_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $panda_bg_color_type ) {
				$panda_bg_color = panda_get_scheme_color( 'bg_color', $panda_scheme );
			} else {
				$panda_bg_color = '';
			}
			if ( ! empty( $panda_bg_color ) && $panda_bg_mask > 0 ) {
				$panda_css .= 'background-color: ' . esc_attr(
					1 == $panda_bg_mask ? $panda_bg_color : panda_hex2rgba( $panda_bg_color, $panda_bg_mask )
				) . ';';
			}
			if ( ! empty( $panda_css ) ) {
				echo ' style="' . esc_attr( $panda_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$panda_caption = panda_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $panda_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $panda_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $panda_caption, 'panda_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$panda_description = panda_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $panda_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $panda_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $panda_description ), 'panda_kses_content' ); ?></div>
				<?php
			}

			// Content
			$panda_content = panda_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $panda_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $panda_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$panda_page_content_mask = '%%CONTENT%%';
					if ( strpos( $panda_content, $panda_page_content_mask ) !== false ) {
						$panda_content = preg_replace(
							'/(\<p\>\s*)?' . $panda_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$panda_content
						);
					}
					panda_show_layout( $panda_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
