<div class="front_page_section front_page_section_contacts<?php
	$panda_scheme = panda_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $panda_scheme ) && ! panda_is_inherit( $panda_scheme ) ) {
		echo ' scheme_' . esc_attr( $panda_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( panda_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( panda_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$panda_css      = '';
		$panda_bg_image = panda_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $panda_bg_image ) ) {
			$panda_css .= 'background-image: url(' . esc_url( panda_get_attachment_url( $panda_bg_image ) ) . ');';
		}
		if ( ! empty( $panda_css ) ) {
			echo ' style="' . esc_attr( $panda_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$panda_anchor_icon = panda_get_theme_option( 'front_page_contacts_anchor_icon' );
	$panda_anchor_text = panda_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $panda_anchor_icon ) || ! empty( $panda_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $panda_anchor_icon ) ? ' icon="' . esc_attr( $panda_anchor_icon ) . '"' : '' )
									. ( ! empty( $panda_anchor_text ) ? ' title="' . esc_attr( $panda_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( panda_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' panda-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$panda_css      = '';
			$panda_bg_mask  = panda_get_theme_option( 'front_page_contacts_bg_mask' );
			$panda_bg_color_type = panda_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $panda_bg_color_type ) {
				$panda_bg_color = panda_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $panda_bg_color_type ) {
				$panda_bg_color = panda_get_scheme_color( 'bg_color', $panda_scheme );
			} else {
				$panda_bg_color = '';
			}
			if ( ! empty( $panda_bg_color ) && $panda_bg_mask > 0 ) {
				$panda_css .= 'background-color: ' . esc_attr(
					1 == $panda_bg_mask ? $panda_bg_color : panda_hex2rgba( $panda_bg_color, $panda_bg_mask )
				) . ';';
			}
			if ( ! empty( $panda_css ) ) {
				echo ' style="' . esc_attr( $panda_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$panda_caption     = panda_get_theme_option( 'front_page_contacts_caption' );
			$panda_description = panda_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $panda_caption ) || ! empty( $panda_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $panda_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $panda_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $panda_caption, 'panda_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $panda_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $panda_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $panda_description ), 'panda_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$panda_content = panda_get_theme_option( 'front_page_contacts_content' );
			$panda_layout  = panda_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $panda_layout && ( ! empty( $panda_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $panda_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $panda_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $panda_content, 'panda_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $panda_layout && ( ! empty( $panda_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$panda_sc = panda_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $panda_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $panda_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					panda_show_layout( do_shortcode( $panda_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $panda_layout && ( ! empty( $panda_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
