<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package PANDA
 * @since PANDA 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$panda_copyright_scheme = panda_get_theme_option( 'copyright_scheme' );
if ( ! empty( $panda_copyright_scheme ) && ! panda_is_inherit( $panda_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $panda_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$panda_copyright = panda_get_theme_option( 'copyright' );
			if ( ! empty( $panda_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$panda_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $panda_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$panda_copyright = panda_prepare_macros( $panda_copyright );
				// Display copyright
				echo wp_kses( nl2br( $panda_copyright ), 'panda_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
