<?php
/**
 * The template to display default site footer
 *
 * @package PANDA
 * @since PANDA 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$panda_footer_scheme = panda_get_theme_option( 'footer_scheme' );
if ( ! empty( $panda_footer_scheme ) && ! panda_is_inherit( $panda_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $panda_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'panda_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'panda_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'panda_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'panda_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
